﻿@using LAP.Areas.Adviser.Models
@model ClientSurveyModel
@{
    bool isMarried = Model.ClientLoginData.ClientData.MaritalStatus == MaritalStatusEnum.Married && Model.ClientLoginData.SpouseData != null && Convert.ToDateTime(Model.ClientLoginData.ClientData.DateOfCurrentMarriage).IsNotEmptyDate();
    var ClientExpectations = Model.ClientLoginData.ClientExpectations.GroupBy(m => new { m.DescriptionItems.tabletype }).ToList();
    IEnumerable<SelectListItem> EmploymentOf = Model.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
}
<h3 style="margin-bottom:10px">Health Expectation</h3>
@foreach (var item in ClientExpectations)
{
    <table class="table-custom">
        <thead>
            <tr>
                <th>@item.Key.tabletype.GetDisplayName()</th>
                <th class="text-center" width="150px">
                    @ClientName
                </th>
                @if (isMarried)
                {
                    <th class="text-center" width="150px">@SpouseName</th>
                }
            </tr>
        </thead>
        <tbody>
            @foreach (var item1 in item)
            {
                <tr>
                    <td style="padding-left:30px">
                        @item1.DescriptionItems.itemDesc
                    </td>
                    <td class="text-center">
                        @item1.isClientActive.BoolToYesNo()
                    </td>
                    @if (isMarried)
                    {
                        <td class="text-center">
                            @item1.isSpouseActive.BoolToYesNo()
                        </td>
                    }
                </tr>
            }
        </tbody>
    </table>
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />